/*
Theme Name: Hello Elementor Child
Theme URI: https://elementor.com/hello-theme/?utm_source=wp-themes&utm_campaign=theme-uri&utm_medium=wp-dash
Template: hello-elementor
Author: Elementor Team
Author URI: https://elementor.com/?utm_source=wp-themes&utm_campaign=author-uri&utm_medium=wp-dash
Description: Hello Elementor is a lightweight and minimalist WordPress theme that was built specifically to work seamlessly with the Elementor site builder plugin. The theme is free, open-source, and designed for users who want a flexible, easy-to-use, and customizable website. The theme, which is optimized for performance, provides a solid foundation for users to build their own unique designs using the Elementor drag-and-drop site builder. Its simplicity and flexibility make it a great choice for both beginners and experienced Web Creators.
Tags: accessibility-ready,flexible-header,custom-colors,custom-menu,custom-logo,featured-images,rtl-language-support,threaded-comments,translation-ready
Version: 3.4.6.1770228126
Updated: 2026-02-04 13:02:06

*/

html { -webkit-text-size-adjust: 100%; }

.item-read > .elementor-element{
  height: auto !important;
  min-height: 0 !important;
}

header > .elementor-element{    
	background-color: rgba(1, 51, 74, 00);
	transition:background-color .5s;
}


header.h-fixed > .elementor-element{    
	background-color: rgba(1, 51, 74, 0.71);
}

p a{
	color:inherit;
	text-decoration:underline;
} 
p a:hover{
	color: #01334A;
}

.english-audio,
.spanish-audio{ 
    display: none; 
}

.square-img,
.square-img img{
  width: 100%;
  aspect-ratio: 1 / 1;
  object-fit: cover;
  display: block;
}


/* ===== MODO CLARO ===== */
        .bg-white {
            background-color: #ffffff !important;
            color: #000000 !important;
            transition: all 0.3s ease;
        }

        .bg-white h1,
        .bg-white h2,
        .bg-white h3,
        .bg-white h4,
        .bg-white h5,
        .bg-white h6,
        .bg-white p,
        .bg-white span,
        .bg-white a,
		.bg-white ul li,
		.bg-white ol li,
	    .bg-white .elementor-widget-text-editor .elementor-widget-container,
		.bg-white .elementor-widget-theme-post-excerpt .elementor-widget-container{
            color: #000000 !important;
        }
			
		/* ===== TOGGLE ===== */
        .theme-toggle {
            display: flex;
            gap: 10px;
            align-items: center;
        }

        .theme-btn {
            cursor: pointer;
            opacity: 0.4;
            transition: all .2s ease;
        }

        .theme-btn.active {
            opacity: 1;
        }

        .theme-btn svg {
            width: 24px;
            height: 24px;
            transition: fill .3s ease;
        }

        /* SVG color según modo */
        .theme-btn svg path {
            fill: #ffffff;
        }

        .bg-white .theme-btn svg path {
            fill: #000000;
        }

        /* ===== HEADER EFFECTS ===== */
        .h-fixed {
            position: fixed !important;
            top: 0;
            width: 100%;
            z-index: 999;
            transition: all .3s ease;
        }

        .b-white {
            background: #ffffff !important;
        }

        .b-white a,
        .b-white svg path{
            color: #000 !important;
            fill: #000 !important;
        }
			
			
			#blog.bg-white article,
			.bg-white .box-content,
			#podcast.bg-white .item-podcast{
				border-color:#000 !important;
			}
			
			header.b-white .elementor-element{
				background: #ffffff !important;
			}
			
			.bg-white .elementor-widget-button a{
				background: #01334A !important;;
    			color: #fff !important;
    			fill: #01334A;
			}
			
			.bg-white .elementor-widget-button span{
				color: #fff !important;    			
			}
						


/* =========================
   AUDIO PLAYER MODERNO
========================= */

.mejs-container{
	border-radius: 15px !important;
}

.mejs-container, 
.mejs-container .mejs-controls, 
.mejs-embed, 
.mejs-embed body {
    background: transparent;
    height: auto !important;
}

.mejs-container .mejs-controls{
	padding: 7px 20px;
    height: auto;
    border-radius: 15px !important;
	background:#fff !important;
	position: relative;
}

body.theme-light .mejs-container .mejs-controls{
	background:#000 !important;
}

.mejs-container .mejs-button>button{
	filter: invert(1);
}

body.theme-light .mejs-container .mejs-button>button{
	filter: invert(0);
}

.mejs-container .mejs-time{
	color: #000000 !important;
}
body.theme-light .bg-white .mejs-time span,
body.theme-light .mejs-container .mejs-time{
	color: #fff !important;
}

.mejs-controls .mejs-horizontal-volume-slider .mejs-horizontal-volume-current, 
.mejs-controls .mejs-time-rail .mejs-time-loaded,
.mejs-controls .mejs-horizontal-volume-slider .mejs-horizontal-volume-current span, 
.mejs-controls .mejs-time-rail .mejs-time-loaded span{
	background: #000000 !important;
}

body.theme-light .mejs-controls .mejs-horizontal-volume-slider .mejs-horizontal-volume-current, 
body.theme-light .mejs-controls .mejs-time-rail .mejs-time-loaded,
body.theme-light .mejs-controls .mejs-horizontal-volume-slider .mejs-horizontal-volume-current span, 
body.theme-light .mejs-controls .mejs-time-rail .mejs-time-loaded span{
	background: #fff !important;
}


.mejs-controls .mejs-horizontal-volume-slider .mejs-horizontal-volume-total, 
.mejs-controls .mejs-time-rail .mejs-time-total {
    background: rgb(127 127 127 / 33%) !important;
}

.btn-download-audio{
	display: flex;
    align-items: center;
    gap: 10px;
    margin-top: 10px;
    color: #fff;
}

.btn-download-audio svg{
	width:34px;
	height:34px;
}

body.theme-light  .btn-download-audio svg{
	fill:#000;
}

body.theme-light .btn-download-audio{
    color: #000;
}


/*SINGLE POST*/

.bg-white .elementor-share-btn{
  border-color:#000 !important;
}
.bg-white .elementor-share-btn svg{
  fill:#000 !important;
}


/*podcast single*/
.podcast-audios audio{
    width:100%;
}
.podcast-audios .podcast-season{
    font-family: "Open Sans", Sans-serif;
    font-size: 19px;
    font-weight: 300;
    font-style: italic;
    line-height: 1.6em;
    color: #FFFFFF;
    margin-bottom: .85rem;
}



/*podcast page*/
/* Contenedor principal */
.podcast-player{
  display:flex;
  align-items:center;
  gap:30px;
  padding:28px;
  border-radius:16px;
  background:#ffffff;
  box-shadow:0 15px 40px rgba(0,0,0,0.06);
}

/* Imagen izquierda */
.podcast-player__thumb{
  flex:0 0 20%;
}

.podcast-player__thumb img{
  width:100%;
  height:auto;
  border-radius:12px;
  object-fit:cover;
  display:block;
}

/* Contenido derecha */
.podcast-player__meta{
  flex:1;
  padding:20px;
}

/* Título */
.podcast-player__title{
    color: #111;
    font-family: "Roboto", Sans-serif;
    font-size: 24px;
    font-weight: 300;
    line-height: 1.6em;
}

.podcast-player__excerpt{
    font-family: "Open Sans", Sans-serif;
    font-size: 19px;
    font-weight: 300;
    font-style: italic;
    line-height: 1.6em;
}

/* Categoría */
.podcast-player__cats{
  font-size:12px;
  font-weight:700;
  text-transform:uppercase;
  letter-spacing:.08em;
  color:#026E9F;
  margin-bottom:18px;
}

/* Audio */
.podcast-player__audio{
  margin-top:10px;
}

.podcast-player__audio audio{
  width:100%;
  border-radius:40px;
}

/* Opcional: esconder español si lo usas como secundario */
.podcast-player__audio.spanish-audio{
  margin-top:14px;
}

/* Responsive */
@media (max-width: 767px){
  .podcast-player{
    flex-direction:column;
    padding:20px;
  }

  .podcast-player__thumb{
    width:100%;
  }

  .podcast-player__meta{
    padding:0;
    width:100%;
  }
}

.podcast-list{
  display:flex;
  flex-direction:column;
  gap:18px;
}

.podcast-row{
  display:grid;
  grid-template-columns: 56px 1fr 160px 160px 120px;
  gap:16px;
  align-items:center;
  padding:18px 22px;
  border-radius:14px;
  border:1px solid #ffffff;
  box-shadow: 0 12px 30px rgba(0,0,0,.06);
  color: #fff;
}
.bg-white .podcast-row{
    border:1px solid #000;
    color: #000;
}
.podcast-row__play{
  width:46px;
  height:46px;
  border-radius:50%;
  display:flex;
  align-items:center;
  justify-content:center;
  background:#fff;
  text-decoration:none;
  font-weight:900;
}

.podcast-row__title{
    font-family: "Roboto", Sans-serif;
    font-size: 24px;
    font-weight: 300;
    line-height: 1.6em;
    color: #FFFFFF;
}
.podcast-row__excerpt{
    font-family: "Open Sans", Sans-serif;
    font-size: 19px;
    font-weight: 300;
    font-style: italic;
    line-height: 1.6em;
    color: #FFFFFF;
}
.bg-white .podcast-row__excerpt{
    color: #000;
}
.bg-white .podcast-row__title{
    color: #000;
}

.podcast-row__date,
.podcast-row__cat{
  font-size:12px;
  font-weight:800;
  letter-spacing:.06em;
  opacity:.75;
  text-align:right;
}

.podcast-row__more{
  font-size:13px;
  font-weight:700;
  text-decoration:none;
  text-align:right;
  opacity:.75;
  color: #026E9F;
}
.bg-white  .podcast-row__more{
    color: #026E9F !important;
}

@media (max-width: 900px){
  .podcast-row{
    grid-template-columns: 65px 1fr;
    grid-template-areas:
      "play title"
      "cat date"
      "more more";
	 gap:10px;
  }
  .podcast-row__play{ grid-area: play; }
  .podcast-row__title{ grid-area: title; }
  .podcast-row__date{ grid-area: date; text-align:left; }
  .podcast-row__cat{ grid-area: cat; text-align:left; }
  .podcast-row__more{ grid-area: more; text-align:right; }
}

/*CARD podcast*/
.podcast-card{
  display:grid;
  grid-template-columns: 1fr 1.8fr;
  border:1px solid rgba(255,255,255,.2);
  border-radius:12px;
  overflow:hidden;

}

.podcast-card__media img{
  width:100%;
  height:100%;
  object-fit:cover;
  display:block;
}

.podcast-card__content{
  padding: 50px 30px;
  color:#fff;
}
.bg-white .podcast-card__content{
  color:#000;
}

.podcast-card__title{
  margin:0 0 12px;
      font-family: "Roboto", Sans-serif;
    font-size: 24px;
    font-weight: 300;
    line-height: 1.6em;
}

.podcast-card__excerpt{
  margin-bottom:22px;
      font-family: "Open Sans", Sans-serif;
    font-size: 19px;
    font-weight: 300;
    font-style: italic;
    line-height: 1.6em;
}

.podcast-card__listen{
  margin:10px 0 12px;
  font-size:20px;
  font-weight:600;
}

.podcast-card__audio audio{ width:100%; }

.podcast-card__actions{
  margin-top:14px;
  display:flex;
  gap:14px;
  align-items:center;
}

.podcast-card__download,
.podcast-card__readmore{
  display:inline-flex;
  align-items:center;
  justify-content:center;
  padding:10px 18px;
  border-radius:10px;
  text-decoration:none;
  font-weight:600;
}

.podcast-card__download{
  color:#fff;
  opacity:.9;
}

.podcast-card__readmore{
  background:#fff;
  color:#000;
}